package fr.mael.jiwigo.service;

import java.util.List;

import org.junit.Test;

import fr.mael.jiwigo.TestBase;
import fr.mael.jiwigo.om.Category;
import fr.mael.jiwigo.om.Comment;
import fr.mael.jiwigo.om.Image;
import fr.mael.jiwigo.transverse.util.spring.SpringUtils;

public class ServicesTest extends TestBase {

    public ServicesTest() {
	super();
    }

    @Test
    public void testCreer() throws Exception {
	Category cat = null;
	for (Category category : SpringUtils.getCategoryService().list(true)) {
	    if (category.getIdentifier().equals(3)) {
		cat = category;
		break;
	    }
	}

	Image image = SpringUtils.getImageService().listByCategory(cat.getIdentifier(), true).get(0);
	List<Comment> comments = SpringUtils.getCommentService().list(image.getIdentifier());
	//	int firstCount = comments.size();
	SpringUtils.getCommentService().create("comment test", image.getIdentifier(), "none");
	//	int secondCount = CommentService.getInstance(Main.sessionManager).list(image.getIdentifier()).size();
	//	Assert.assertSame(firstCount + 1, secondCount);
    }
}
