package fr.mael.jiwigo.service;

import java.io.IOException;
import java.util.Date;

import junit.framework.Assert;

import org.junit.Test;

import fr.mael.jiwigo.TestBase;
import fr.mael.jiwigo.transverse.exception.ProxyAuthenticationException;
import fr.mael.jiwigo.transverse.util.spring.SpringUtils;

public class CategoryServiceTest extends TestBase {
    public CategoryServiceTest() {
	super();
    }

    /**
     *  Test of the listing method
     * @throws ProxyAuthenticationException
     */
    @Test
    public void ListerTest() throws ProxyAuthenticationException {
	try {
	    SpringUtils.getCategoryService().list(true);
	    SpringUtils.getCategoryService().list(false);
	} catch (IOException e) {
	    e.printStackTrace();
	}
    }

    /**
     * Test of the creation method
     * @throws ProxyAuthenticationException
     */
    @Test
    public void creerTest() throws ProxyAuthenticationException {
	Date date = new Date();
	Assert.assertSame(true, SpringUtils.getCategoryService().create("Category" + date.getTime()));
    }

}
